/*
**  Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
**
**  forkit.c	- Example application that forks.
**
**	This application forks a child process, and both parent and child
**	do some work.
*/

#pragma ident "@(#)Shade and Spixtools for Solaris 10 v1.0.1"

#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include <sys/wait.h>
#include <math.h>

volatile double 	d;
volatile double 	val = 3.14;

static void dostuff(void);

int
main()
{
	pid_t	pid;
	int	status;


	pid = fork();
	if (pid == -1) {
		fprintf(stderr, "Unable to fork\n");
		return(1);
	}

	dostuff();

	if (pid)
		wait(&status);
	return(0);
}


static void dostuff(void)
{
	unsigned 	i;

	for (i = 0;  i < 10000;  i++)
		d = sqrt(val);
}
