#ifndef _GETOPT_H_
#define _GETOPT_H_

//errors:
typedef enum
{
    GETOPT_NO_PARAM_ERR,
    GETOPT_INVALID_OPTION_ERR,
    GETOPT_EXCESS_PARAM_ERR,
    GETOPT_ERANGE_ERR,
    GETOPT_EINVAL_ERR,
    GETOPT_NOT_AN_OPTION_ERR,
    GETOPT_INVALID_PARAM_ERR
} getopt_error_t;


typedef enum
{
    NO_PARAM,
    INT_PARAM,
    CHAR_PARAM,
    STR_PARAM
} getopt_param_t;

typedef union shade_option_val
{
    int ival;
    char cval;
    const char *sval;
    struct
    {
        getopt_error_t err;
        int opt;
    } err_info;
} shade_option_val_t;

typedef struct shade_options
{
    const char *name;
    const char *helpstr;
    const struct shade_options *subopts;
    getopt_param_t param_type;
} shade_options_t;

int shade_getopt(const char *str, const shade_options_t * opts,
                 shade_option_val_t * value);
int shade_getoptv(int argc, char *argv[], int *optind, int *n_undef_item,
                  const shade_options_t * opts, shade_option_val_t * value);
void shade_print_opt_info(const shade_options_t * opts, int info_indent);

#endif //_GETOPT_H_
